Platform.mods.kubejs.name = 'Ice and Fire Magic 1.20.1'
StartupEvents.registry('item', event => {
event.create('claim_creator').displayName('§9Инструмент для создания региона')
event.create('claim_checker').displayName('§9Инструмент для проверки региона')
event.create('creative_dislocator').displayName('§9Инструмент для творческого телепортирования')
event.create('neutron_gear').displayName('Нейтрониевая шестеренка')
event.create('supreme_endestest_pearl').displayName('Супремиумная жемчужина')
event.create('coin').displayName('Монета')
event.create('inert_nether_star').displayName('Тусклая звезда незера').texture(`minecraft:item/nether_star`).tooltip('Needs activating...')//.parentModel('minecraft:nether_star')
})
StartupEvents.modifyCreativeTab('ironfurnaces:ironfurnaces_tab', ice_and_fire_magic => {
ice_and_fire_magic.add('ironfurnaces:allthemodium_furnace')
ice_and_fire_magic.add('ironfurnaces:vibranium_furnace')
ice_and_fire_magic.add('ironfurnaces:unobtainium_furnace')
ice_and_fire_magic.add('ironfurnaces:upgrade_allthemodium')
ice_and_fire_magic.add('ironfurnaces:upgrade_vibranium')
ice_and_fire_magic.add('ironfurnaces:upgrade_unobtainium')
})
StartupEvents.modifyCreativeTab('expatternprovider:tab_main', ice_and_fire_magic => {
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:soldering_alloy"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "appmek:chemical", gasName: "mekanism:polonium", t:0b, amount: 1000L}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "appmek:chemical", gasName: "mekanism:plutonium", t:0b, amount: 1000L}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:chlorine"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:sulfuric_acid"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:hydrogen"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:oxygen"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:styrene_butadiene_rubber"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "minecraft:lava"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:polytetrafluoroethylene"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:polybenzimidazole"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:ethylene"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:lubricant"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:air"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:ender_air"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:nether_air"}}'))
ice_and_fire_magic.add(Item.of('expatternprovider:infinity_cell', '{record: {"#c": "ae2:f", id: "gtceu:fluorine"}}'))
})